set terminal latex
set output "examen-2005-figa.tex"

# set marker at 0,0
# set marker at -1.20662, -0.217297

set size ratio 1 1, 1
set xtics (-2, -1, 0, 1)
set ytics (0, 10, 20)
#set arrow from -2, 0 to 1, 0 nohead lt 2

F(u) = 2*u*(u+1)
J(u) = (F(u) + sin(u))*F(u)

plot [-2:1][-5:20] J(x) title "[r]{$J(u)$}"

#pause -1 "<retour>"

