% ORIGIN: http://www.mit.jyu.fi/rainom/numlin/04/ilu0.m

function [luval,uptr,ier] = ilu0( a, ia, ja )
n = length(ia)-1;
ier = 0;
luval = a';
iw = zeros(1,n);
uptr=zeros(1,n);

for i=1:n
  for k=ia(i):ia(i+1)-1
    if ja(k)==i
      uptr(i) = k;
      break;
    end
  end
end

for k=1:n,
  j1 = ia(k);
  j2 = ia(k+1)-1;
  for j=j1:j2
    iw(ja(j)) = j;
  end
  j = j1;
  while j<=j2,
    jrow = ja(j);
    if jrow >= k, break; end;
    tl = luval(j)/luval(uptr(jrow));
    luval(j) = tl;
    for jj=uptr(jrow)+1:ia(jrow+1)-1
      jw = iw(ja(jj));
      if jw ~= 0.0 ,
	luval(jw) = luval(jw)-tl*luval(jj);
      end;
    end
    j = j + 1;
  end
  uptr(k) = j;
  if jrow ~=k | luval(j)==0.0
    ier = k;
    return;
  end
  iw(1:n) = 0;
end 

