function plot_spectra (name, a, base_file_name)
	[n, dummy] = size (a);
	sp = sort (eig (a));
	cond_a = cond(a);
    	title = sprintf ('cond(%s) = %8.5g', name, cond_a);
    	printf ("%s\n", title);

	file_name = sprintf ('%s.iplot', base_file_name);
        fd = fopen (file_name, 'w');
        fprintf (stderr, '! file \"%s\" created\n', file_name);
    	fprintf (fd, 'set terminal postscript\n');
    	fprintf (fd, 'set output \"%s.ps\"\n', base_file_name);
    	fprintf (fd, 'print \"! file \\\"%s.ps\\\" created\'\n', base_file_name);
	for i=1:n 
    	    fprintf (fd, 'set arrow from %17g,1 to %.17g,-1 nohead\n', sp(i), sp(i));
	end
    	fprintf (fd, 'lambda_min = %.17g\n', min(sp));
    	fprintf (fd, 'lambda_max = %.17g\n', max(sp));
    	fprintf (fd, '# set title \"%s\"\n', title);
