#include <valarray>
#include "valarray_util.h"
#include "mesh.h"
#include "matrix.h"
#include "renumbering.h"
#include "assembly_energy.h"
using namespace std;
int main() {
	mesh<double> Th;
	cin >> Th;
	valarray<size_t> num;
	renumbering (Th, num);
	matrix<double> A;
	assembly_energy (Th, num, A);
	cout << A;
}
