struct d2J_du2 {
  template <typename T>
  T operator() (const T& u) const {
    T f = 2*u*(u+1);
    T df_du = 4*u+2;
    T d2f_du2 = 4;
    return d2f_du2*(f + sin(u)) + 2*df_du*(df_du + cos(u)) + f*(d2f_du2 - sin(u));
  }
};
