#include "dirichlet.h"
using namespace std;
double f (const point<double>& x) { return x[0]*(1-x[0])+x[1]*(1-x[1]); }
double u (const point<double>& x) { return x[0]*(1-x[0])*x[1]*(1-x[1])/2; }
int main() {
	mesh<double> Th;
	cin >> Th;
	valarray<double> uh = dirichlet (Th, interpolate (Th, f));
	valarray<double> pi_h_u = interpolate (Th, u);
        valarray<double> err = abs(pi_h_u-uh);
        cerr << "err " << err.max() << endl;
}
