#include "matrix.h"
#include "cg.h"
#include "eye.h"
using namespace std;
int main () {
	matrix<double> a;
        cin >> a;
	valarray<double> x(1.0, a.nrow());
	valarray<double> b = a*x;
	valarray<double> xi(0.0, a.nrow());
        cg (a, xi, b, eye(), 1000, 1e-14);
        valarray<double> xerr = xi-x;
        double err = norm(xerr);
        cerr << "err   " << err << endl;
	return (err < 1e-7) ? 0 : 1;
}
