#include "polynom.h"
#include <vector>
template <typename T>
void polynom_legendre (std::vector<polynom<T> >& P) {
  if (P.size() < 2) return;
  polynom<T> X = symbol();
  P[0] = 1;
  P[1] = X;
  for (size_t n = 2; n < P.size(); n++)
    P[n] = (2.0*n-1)/n*X*P[n-1] - (n-1.0)/n*P[n-2];
}
