#include <fstream>
#include <cstdlib>
template<typename T>
void plot (const polynom<T>& p, const T& a = -1, const T& b = 1) {
  size_t n = 1000;
  T h = (b-a)/n;
  std::ofstream data ("p.dat");
  for (size_t i = 0; i <= n; i++)
    data << a+i*h << " " << p(a+i*h) << std::endl;
  data.close();
  std::ofstream gpl ("p.gpl");
  gpl << "plot [" << a << ":" << b << "] 'p.dat' w l" << std::endl;
  gpl.close();
  std::system ("gnuplot -persist p.gpl");
}
