#include "sin_tranformation.h"
#include "valarray_util.h"
#include <iostream>
using namespace std;
int main (int argc, char** argv) {
        size_t n = (argc > 1) ? atoi(argv[1]) : 10;
        size_t i = (argc > 2) ? atoi(argv[2]) : n-1;
	valarray<double> uh (0., n);
	uh [i%n] = 1;
	valarray<double> vh  = sqrt(2./(n+1))*sin_tranformation (uh);
        cout << "# n = " << n << endl
	     << "# i = " << i << endl;
	for (size_t i = 0; i < vh.size(); i++) 
	     cout << i << "	" << vh[i]  << endl;
	valarray<double> uh1 = sqrt(2./(n+1))*sin_tranformation (vh);
	double err = norm (uh-uh1);
	cerr << "err " << err << endl;
	return err < 1e-8 ? 0 : 1;
}
