set terminal pslatex
set output "spectral-cvg-log-k.tex"

set xtics nomirror (0, 20, 40, 60, 80,100)
set ytics nomirror (\
	"[r]{$1$}"		0, \
	"[r]{$10^{-4}$}"	-4, \
	"[r]{$10^{-8}$}"	-8, \
	"[r]{$10^{-12}$}"	-12, \
	"[r]{$10^{-16}$}"	-16 \
	)
set  label "[l]{$\\gamma=50$}" at 65,-8
set  label "[l]{$\\gamma=30$}" at 50,-11
set  label "[l]{$\\gamma=5$}"  at 28,-12
set  label "[l]{$\\gamma=2$}"  at 16,-13
set xlabel "{\\large $N$}"
set  label "[r]{\\large $\\|u_N-\\pi_N u\\|_{L^\\infty}$}" at graph -0.11,0.6

# norme Linf
plot [][-17:1]\
	 'spectral-cvg-log-k=2.dat'  u 1:2 notitle w l lt 1, \
	 'spectral-cvg-log-k=5.dat'  u 1:2 notitle w l lt 1, \
	 'spectral-cvg-log-k=30.dat' u 1:2 notitle w l lt 1, \
	 'spectral-cvg-log-k=50.dat' u 1:2 notitle w l lt 1

# pause -1 "<retour>"

